# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-07-23 14:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('party', '0005_current_turn_on_delete'),
    ]

    operations = [
        migrations.CreateModel(
            name='CanonicalStat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('canonical_stat_name', models.CharField(max_length=256)),
                ('canonical_stat_name_digested', models.CharField(blank=True, max_length=256)),
                ('game', models.ForeignKey(blank=True, help_text='Game this stat belongs to; none for universal', null=True, on_delete=django.db.models.deletion.CASCADE, to='party.Game')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StatAlias',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('alias', models.CharField(help_text='String alias that can be used in place of canonical string.', max_length=256)),
                ('alias_digested', models.CharField(blank=True, max_length=256)),
                ('canonical_stat', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='party.CanonicalStat')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
